Page MenuHomePhabricator

Note about flagged revisions in German WIkipedia needs hide option
Open, HighPublic

Description

The watchlist adds an additional note on top if there are pending flagged revisions on your watchlist. That note is supposed to be hideable (still doesn’t look very good in desktop view, but that’s more of a design question); on mobile, however, it is always expanded and very large, requiring even more scrolling to get to the actual watchlist.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2019, 11:31 AM

@XanonymusX I can not reproduce this on German Wikipedia. I see no such note in my watchlist probably because I have low edit count there. Do you know if other mobile users are facing the same problem? If so we'd like to hear more from them. @Jdlrobson Could it be a custom mediawiki message instead of a core watchlist message?

Well, you won't be able to reproduce it unless you actually have pending flagged revisions on your watchlist. You can try watching https://de.wikipedia.org/wiki/Parlamentswahl_in_Norwegen_2017 , as an example.

This is likely a problem with the flagged revision extension. Adding its maintainers as subscribers. It's only shown to users with certain permissions. We should either hide that bar on mobile or make the JS load.

Jdlrobson triaged this task as High priority.Nov 4 2019, 3:51 PM
Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.

This will likely impact a high number of our editors who are using flagged revisions.

Ideally, the bar should be formatted similarly to the "active filters" one; right now it even causes some overflow in the desktop version (when there are other banners on top).

@ovasileva this task will need support from one of the FlaggedRevs developers. After some poking around at the extension I can't work out how to replicate this.

Zache added a subscriber: Zache.EditedDec 12 2019, 2:56 AM

This can be also reproduced in Finnish Wikipedia. (it reproduces always, but minimal ui will make it more visible in fiwiki)

1.) Go to https://fi.wikipedia.org
2.) switch user interface language to English from settings
3.) switch "Use small icons and minimal text to show review status of pages" ON in settings / recent changes / edit review
4.) go to page https://fi.wikipedia.org/wiki/special:PendingChanges
5.) got to any page on the pending changes list
6.) add it to your watchlist
7.) go to your watchlist
8.) there should be messagebox in top of the page which message "There are currently pending changes to reviewed pages on your watchlist. Your attention is needed!"
9.) go to mobile view using link in the bottom of the page

CSS class for the div box is: fr-watchlist-pending-notice and id is mw-fr-watchlist-pending-notice

@Masumrezarock100 I can give you a reviewer user right to finnish wikipedia if you need it for testing this.

Masumrezarock100 added a comment.EditedDec 12 2019, 4:52 AM

Well, you won't be able to reproduce it unless you actually have pending flagged revisions on your watchlist. You can try watching https://de.wikipedia.org/wiki/Parlamentswahl_in_Norwegen_2017 , as an example.

I think I now understand why I can not reproduce this. Mark revisions as being "checked" (review) right is needed to review pending revisions, Querying my rights list using API on dewiki shows that I currently do not possess this right. Which is why I am still not seeing the message box.

This can be also reproduced in Finnish Wikipedia. (it reproduces always, but minimal ui will make it more visible in fiwiki)
1.) Go to https://fi.wikipedia.org
2.) switch user interface language to English from settings
3.) switch "Use small icons and minimal text to show review status of pages" ON in settings / recent changes / edit review
4.) go to page https://fi.wikipedia.org/wiki/special:PendingChanges
5.) got to any page on the pending changes list
6.) add it to your watchlist
7.) go to your watchlist
8.) there should be messagebox in top of the page which message "There are currently pending changes to reviewed pages on your watchlist. Your attention is needed!"
9.) go to mobile view using link in the bottom of the page
CSS class for the div box is: fr-watchlist-pending-notice and id is mw-fr-watchlist-pending-notice

Thanks for adding better steps for reproducing.

@Masumrezarock100 I can give you a reviewer user right to finnish wikipedia if you need it for testing this.

That might not be needed since multiple editors confirmed this. That said, I am curious to know how the box appears.

Masumrezarock100 added a comment.EditedDec 12 2019, 4:54 AM

@ovasileva this task will need support from one of the FlaggedRevs developers. After some poking around at the extension I can't work out how to replicate this.

AFAIK, FlaggedRevs extension currently does not have any active maintainer. So support from them might be difficult at the moment. See also T185664: Code stewardship review: FlaggedRevs.

@Zache those replication instructions are brilliant - one bit missing - the user has to have the "reviewer" user right set on Special:Userrights

I'm seeing this now, but it's not hideable, so I'm guessing this is a gadget that's not been made compatible on mobile.. is that possible cc @XanonymusX,?

Note: the styling I tried to fix over a year ago in https://gerrit.wikimedia.org/r/394126 but nobody ever reviewed.

If this is not a gadget issue, my recommendation is that FlaggedRevs needs maintainers if we want to fix this issue.

XanonymusX added a comment.EditedDec 13 2019, 1:46 AM

I'm seeing this now, but it's not hideable, so I'm guessing this is a gadget that's not been made compatible on mobile.. is that possible cc @XanonymusX,?

Where exactly was this screenshot now taken? Here the note is definitely nicer formatted than the one I'm seeing in German, but it will probably still take up a lot of space on a mobile-sized screen. I'm not aware of any kind of gadget dealing with flagged revisions, and I have just checked all the gadgets I'm using. The box I'm seeing has the id mw-fr-watchlist-pending-notice and the classes plainlinks fr-watchlist-pending-notice (just like Zache already pointed out). For better comparison, here another screenshot on a desktop-sized screen:

I think that eventually on mobile there should be some kind of icon that warns about pending changes instead of such a note, that should fit the screen much better.

Masumrezarock100 added a comment.EditedDec 13 2019, 4:56 AM

I'm seeing this now, but it's not hideable, so I'm guessing this is a gadget that's not been made compatible on mobile.. is that possible cc @XanonymusX,?

I didn't find any gadget that could cause this issue. @XanonymusX could you try to disable JS and try again? Disabling JS should stop any Gadgets from working. Note that some utility gadgets are purposefully hidden so you can not disable them. And try to change the language temporarily to English either by appending &uselang=en to the watchlist URL or via changing the language in user preferences. I'd like to see how the message is formatted in English.

Note: the styling I tried to fix over a year ago in https://gerrit.wikimedia.org/r/394126 but nobody ever reviewed.
If this is not a gadget issue, my recommendation is that FlaggedRevs needs maintainers if we want to fix this issue.

Agreed. We'll likely have to stall this task for a while.

XanonymusX added a comment.EditedDec 13 2019, 11:38 AM

Oh, I see, looks like the box is limited to non-English messages. With English as my user language I also just see the one-line note. Not sure why, where is the localised version of the message stored?

It is still unnecessarily huge for small screens though:

Edit: And no, turning off JS does not change the styling of the box, only the show/hide link disappears.

Jdlrobson renamed this task from Note about flagged revisions needs hide option to Note about flagged revisions in German WIkipedia needs hide option.Dec 13 2019, 6:10 PM

I replicating on fi.wikipedia.org. Adding ?uselang=qqx will tell you what message that is. Looks like there is an override on German:
https://de.m.wikipedia.org/wiki/MediaWiki:Flaggedrevs-watched-pending
It adds the collapsible class but makes the assumption the code is always loaded - which is not always the case.

One solution to this is to add to MediaWiki:[Minerva|Mobile.js]

if ( mw.config.get('wgCanonicalSpecialPageName') === 'Watchlist' ) {
  mw.loader.load('jquery.makeCollapsible')
}

This is thus an onwiki problem (Although FlaggedRevs should really style that better on mobile to look like a warning box).

If I understood @Zache correctly though, it's the same for Finnish (thus not German WP exclusive)?! Anyway, it looks like the current design has been discussed extensively, but obviously without mobile-specific considerations.

Should I ask for a local solution like the one you suggested on German WP now or is there any chance to get a more satisfying solution with the warning being inserted into the specific mobile design of the watchlist? Personally, I might just completely hide the box with CSS if I have to continue scrolling through it on mobile all the time ...

If I understood @Zache correctly though, it's the same for Finnish (thus not German WP exclusive)?! Anyway, it looks like the current design has been discussed extensively, but obviously without mobile-specific considerations.

Not from what I can see. The German Wikipedia is provided in its own UI element. By default it should just be a non-dismissable line.

Should I ask for a local solution like the one you suggested on German WP now or is there any chance to get a more satisfying solution with the warning being inserted into the specific mobile design of the watchlist? Personally, I might just completely hide the box with CSS if I have to continue scrolling through it on mobile all the time ...

The watchlist has no mobile design. The mobile version is the desktop version. As I've stated above this is on the FlaggedRevs extension maintainers which are not present in this discussion so far and may not exist.

Alright then. Would be lovely if there was a FlaggedRevs maintainer, otherwise I see various similar problems arising with future layout changes. I will ask for a local solution on German WP now; in the meantime I got rid of the box via my common.css for mobile screens only, so I can continue to use the watchlist without seeing the same old warning every time.

Would be lovely if there was a FlaggedRevs maintainer

See T185664

TheDJ removed a subscriber: TheDJ.Wed, Jan 29, 11:21 PM